### Method

# GIRepository Repository find_by_name

since: 2.80

#### Declaration [src]

    GIBaseInfo*
    gi_repository_find_by_name (
      GIRepository* repository,
      const char* namespace_,
      const char* name
    )

#### Description [src]

Searches for a particular entry in a namespace.

Before calling this function for a particular namespace, you must call `gi_repository_require()` to load the namespace, or otherwise ensure the namespace has already been loaded.

Available since: 2.80

#### Parameters

`namespace_`

  Type: `const char*`

  Namespace which will be searched.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`name`

  Type: `const char*`

  Entry name to find.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GIBaseInfo`

`GIBaseInfo` representing metadata about `name`, or `NULL` if none found.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.